% ZIPproject - create a zip file of the project

zipfilename = 'CP_caltech101_20100310';
includeImages = false;

%% specify files to put in ZIP
filelist = {};
count = 1;

% .m files in current folder
names = dir('*.m');
for i = 1:length(names)
    filelist{count} = sprintf('%s',names(i).name);
    disp([num2str(count) ': added ' filelist{count}]);
    count = count + 1;
end

% .c files in current folder
names = dir('*.c');
for i = 1:length(names)
    filelist{count} = sprintf('%s',names(i).name);
    disp([num2str(count) ': added ' filelist{count}]);
    count = count + 1;
end

% .cpp files in current folder
names = dir('*.cpp');
for i = 1:length(names)
    filelist{count} = sprintf('%s',names(i).name);
    disp([num2str(count) ': added ' filelist{count}]);
    count = count + 1;
end

% .h files in current folder
names = dir('*.h');
for i = 1:length(names)
    filelist{count} = sprintf('%s',names(i).name);
    disp([num2str(count) ': added ' filelist{count}]);
    count = count + 1;
end

% codes
filelist{count} = sprintf('%s','Code');
disp([num2str(count) ': added ' filelist{count}]);
count = count + 1;

% random split seeds
filelist{count} = sprintf('%s','Split');
disp([num2str(count) ': added ' filelist{count}]);
count = count + 1;

% images
if includeImages
	filelist{count} = sprintf('%s','Image');
	disp([num2str(count) ': added ' filelist{count}]);
	count = count + 1;
end

%% zip
zip(zipfilename,filelist,pwd);

